
#ifndef __JESD204B_H__
#define __JESD204B_H__

struct jesd204b_dev;
struct jesd204b_dev *jesd204b_init(void *base, int octets_per_frame, int frames_per_multiframe,
		int number_of_lanes);
void jesd204b_free(struct jesd204b_dev **dev);
void jesd204b_print(struct jesd204b_dev *dev);
void jesd204b_print_status(struct jesd204b_dev *dev);
void jesd204b_start(struct jesd204b_dev *dev);
void jesd204b_glbl_reset(struct jesd204b_dev *dev, int rst);


#endif /* __JESD204B_H__ */
